extensions / Commerce extension
POST
/api/projects/{project_id}/shopify/importsCreate Shopify Import
Queues a Shopify import job for a project and returns the created job.
GETPOST
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requires an authenticated storefront session.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
Query Parameters
Request Body
Schema: CreateShopifyImportBody
| Field | Required | Type | Details |
|---|---|---|---|
store_domain | No | string | Description: Text value. |
access_token | No | string | Description: Text value. |
api_version | No | string | Description: Text value. |
import_products | No | boolean | Description: Boolean flag. |
import_collections | No | boolean | Description: Boolean flag. |
import_orders | No | boolean | Description: Boolean flag. |
import_customers | No | boolean | Description: Boolean flag. |
import_pages | No | boolean | Description: Boolean flag. |
Response Body
Example 200 response
json
{
"id": 1,
"project_id": 1,
"requested_by_user_id": 1,
"store_domain": "string",
"api_version": "string",
"status": "active",
"options": {},
"counts": {},
"log": [],
"error": "string",
"started_at": "2026-01-01T00:00:00Z",
"finished_at": "2026-01-01T00:00:00Z",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}Errors
400 BAD_REQUEST500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

